#include "Types.r"
#include "SysTypes.r"
include "mac_mpw.rsrc";

resource 'vers' (1)
{
	0x02, 0x12, release, 0x00, verNetherlands,
	"2.12",
	"2.12,  1990,1991 David Buck"
};

resource 'vers' (2)
{
	0x01, 0x02, release, 0x00, verNetherlands,
	"1.0.2",
	"Macintosh Port 1.0.2"
};

type 'dkbT' as 'STR ';

resource 'dkbT' (0)
{
    "DKBTrace"
};

resource 'BNDL' (128)
{
    'dkbT', 0,
    {
		'ICN#', {0, 128; 1, 129};
		'FREF', {0, 128; 1, 129}
    }
};

resource 'FREF' (128)
{
    'APPL', 0, ""
};

resource 'FREF' (129)
{
    'Raw ', 1, ""
};

resource 'MENU' (128, preload)
{
	1, textMenuProc,
	0x7FFFFFFD,
	enabled, apple,
	{
		"About DKBTrace",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (129, preload)
{
	2, textMenuProc,
	0x7FFFFFFB,
	enabled, "File",
	{
		"Trace",
			noicon, "T", nomark, plain;
		"Abort",
			noicon, "A", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Quit",
			noicon, "Q", nomark, plain
	}
};

resource 'MENU' (130, preload)
{
	3, textMenuProc,
	0x7FFFFFFD,
	enabled, "Edit",
	 {
		"Undo",
			noicon, "Z", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Cut",
			noicon, "X", nomark, plain;
		"Copy",
			noicon, "C", nomark, plain;
		"Paste",
			noicon, "V", nomark, plain;
		"Clear",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (131, preload)
{
	4, textMenuProc,
	0x7FFFFFFF,
	enabled, "Options",
	 {
		"Dither",
			noicon, nokey, nomark, plain
	}
};

resource 'DLOG' (128)
{
	{43, 46, 315, 465},
	dBoxProc, visible, noGoAway, 0x0, 128, ""
};

resource 'DITL' (128)
{
	{
		/*  1 */	{215, 314, 235, 407},	Button {enabled, "OK"},
		/*  2 */	{245, 314, 265, 407},	Button {enabled, "Cancel"},
		/*  3 */	{8, 10, 28, 49},		Button {enabled, "Set"},
		/*  4 */	{10, 134, 26, 414},		StaticText {disabled, ""},			/* filename */
		/*  5 */	{70, 110, 86, 151},		EditText {disabled, ""},			/* width */
		/*  6 */	{70, 220, 86, 261},		EditText {disabled, ""},			/* height */
		/*  7 */	{70, 384, 86, 405},		EditText {disabled, ""},			/* quality */	
		/*  8 */	{100, 110, 116, 151},	EditText {disabled, ""},			/* from */
		/*  9 */	{100, 220, 116, 261},	EditText {disabled, ""},			/* to */
		/* 10 */	{130, 10, 148, 185},	CheckBox {enabled, "Antialiasing, threshold:"},
		/* 11 */	{130, 210, 146, 251},	EditText {disabled, ""},			/* threshold */
		/* 12 */	{160, 10, 178, 191},	CheckBox {enabled, "Use output buffer, size:"},
		/* 13 */	{160, 210, 176, 251},	EditText {disabled, ""},			/* bufsize */
		/* 14 */	{40, 10, 58, 154},		CheckBox {enabled, "Create output file:"},
		/* 15 */	{40, 170, 58, 258},		RadioButton {enabled, "Dump/QRT"},
		/* 16 */	{40, 260, 58, 315},		RadioButton {enabled, "Raw"},
		/* 17 */	{40, 320, 58, 380},		RadioButton {enabled, "Targa"},
		/* 18 */	{100, 320, 118, 409},	CheckBox {enabled, "Resume"},
		/* 19 */	{120, 320, 138, 409},	CheckBox {enabled, "Pause"},
		/* 20 */	{140, 320, 158, 409},	CheckBox {enabled, "Verbose"},
		/* 21 */	{160, 320, 178, 409},	CheckBox {enabled, "Debug"},
		/* 22 */	{210, 14, 266, 298},	EditText {disabled, ""},			/* paths */
		/* 23 */	{10, 54, 26, 129},		StaticText {disabled, "Input file:"},
		/* 24 */	{70, 10, 86, 104},		StaticText {disabled, "Image width:"},
		/* 25 */	{70, 160, 86, 213},		StaticText {disabled, "height:"},
		/* 26 */	{100, 10, 116, 104},	StaticText {disabled, "Trace from:"},
		/* 27 */	{100, 160, 116, 213},	StaticText {disabled, "to:"},
		/* 28 */	{70, 280, 86, 379},		StaticText {disabled, "Quality (09):"},
		/* 29 */	{190, 10, 206, 158},	StaticText {disabled, "Library search paths:"}
	}
};

resource 'ALRT' (129, purgeable)
{
	{60, 45, 157, 466},
	129,
	{
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1
	}
};

resource 'DITL' (129, purgeable)
{
	{
		{ 67, 350,  87, 410},	Button {enabled, "OK"},
		{  7,  60,  87, 340},	StaticText {disabled, "Sorry, DKBTrace requires an 68020, "
											"68881, and System  6.0.5 with 32-Bit QuickDraw "
											"to run."}
	}
};

resource 'SIZE' (-1)
{
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	2097152,
	1048576
};
